import 'dart:async';
import 'dart:io';

import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

const String _CHANNEL_NAME = "vgk_game_services";
const String _SUCCESS = "success";
const String _RESPONSE = "response";
const String _MESSAGE = "message";
const String _ID = "id";
const String _DISPLAY_NAME = "displayName";
const String _NAME = "name";
const String _DESCRIPTION = "description";
const String _SNAPSHOT_DATA = "snapshotData";
const String _SCORE = "score";
const String _PERCENT = "percent";

class Methods {
  static const String getSignIn = "getSignIn";
  static const String showLeaderboard = "showLeaderboard";
  static const String submitScore = "submitScore";
  static const String showAchievements = "showAchievements";
  static const String unlockAchievement = "unlockAchievement";
  static const String setPercentAchievement = "setPercentAchievement";
  static const String loadSnapShot = "loadSnapShot";
  static const String saveSnapShot = "saveSnapShot";
}

class Account {
  late String id;
  late String displayName;
}

class SignInResult {
  late Account account;
  late String message;
  late bool success;
}

class VgkGameServices {
  static const MethodChannel _channel = const MethodChannel(_CHANNEL_NAME);

  static Future<String> get signIn async {
    try {
      String response = await _channel.invokeMethod("signIn");
      return response;
    } catch (e) {
      return "fail";
    }
  }

  static Future<String> get init async {
    try {
      await _channel.invokeMethod("initGame");
      return "Success";
    } catch (e) {
      return "fail";
    }
  }
}
